Subject: Re: powerpc: net: gianfar ethernet broken on linux-3.10.29?

From: Émeric Vigier <[email-masked]>
Date: Wed, 26 Mar 2014 10:04:15 -0400 (EDT)

----- Mail original -----
> On 3/25/2014 9:26 PM, Émeric Vigier wrote:
> > Hi guys,
> >
> > I work on a Freescale MPC8347 custom board. I ported
> > u-boot-v2014.01 on it. My config is attached.
> > I ported linux-3.2.52 (long-term). DTS is attached.
> >
> [...]
> >
> > Do you guys see what could be wrong in my config?
> > Or what has changed in linux-3.{4,6,8,10} that could break my
> > ethernet?
> >
> > thanks,
> > Emeric
> >
> 
> Hi Emeric,
> 
> Thanks for the detailed logs.
> You may refer to Romeo's issue:
> http://permalink.gmane.org/gmane.linux.network/309587

Hi Claudiu,

This is it. It seems I haven't search enough on the web.

> 
> There's this stable fix for the (older) TSEC controllers:
> commit 5eaedf31319d5f80eaaee1eec8dd18c0b452f0d1
> ("gianfar: Add backwards compatible Single Queue mode polling")

I cherry-picked it on 3.10.29 and it makes the job!

> 
> that for some reason was not included in kernel 3.10
> (but it was included in kernel 3.11).
> 
> Hi David,
> Can we have this gianfar fix included in kernel 3.10 as well?
> Is there anything I can do to help with this?

I second this. Thanks Claudiu!

> Thanks and regards,
> Claudiu